Bug 1071455 - [i18n] Wrong characters in Japanese translatated message
[i18n] Wrong characters in Japanese translatated message
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
20
All All
unspecified Severity low
: ---
: ---
Assigned To: Honza Silhan
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-28 15:15 EST by Takayuki Ogawa
Modified: 2014-03-26 09:38 EDT (History)
6 users (show)

See Also:
Fixed In Version: dnf-0.4.19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-26 09:38:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch file to fix this bug. (519 bytes, patch)
2014-02-28 15:15 EST, Takayuki Ogawa
no flags Details | Diff

  None (edit)
Description Takayuki Ogawa 2014-02-28 15:15:56 EST
Created attachment 869191 [details]
patch file to fix this bug.

Description of problem:
msgid "Making cache files for all metadata files."
is translated to wrong japanese message.

Version-Release number of selected component (if applicable):
dnf-0.4.15-1.fc20.noarch

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
The wrong message:
msgstr "すべて飲めたデータファイルのキャッシュを作成します。"

Expected results:
Expected message:
msgstr "すべてのメタデータファイルのキャッシュを作成します。"

Additional info:
Adding patch for ja.po file will fix this bug.
Comment 1 Parag Nemade 2014-03-01 03:45:59 EST
I am not sure how dnf project accepts translations but if they do say using transifex or zanata then good to contact existing Japanese translator to get this message corrected.
Comment 2 Ales Kozumplik 2014-03-02 04:00:46 EST
Hello, we have not officialy started supporting translations yet but are close. Please bear with us.
Comment 3 Hajime Taira 2014-03-02 19:53:41 EST
It translated by anyone at 3 years ago.
I update this string on upstream.

Please confirm following.
https://www.transifex.com/projects/p/yum/viewstrings/#ja/3-2-x-po-yum-pot/118620?last_update_gt=2014-03-02
Comment 4 Takayuki Ogawa 2014-03-02 22:32:59 EST
I confirmed that the message is fixed correctly on transifex.

Thank you.
Comment 5 Parag Nemade 2014-03-03 23:10:15 EST
I just saw http://dnf.baseurl.org/2014/03/03/dnf-is-on-transifex. Thanks Ales!
Comment 6 Ales Kozumplik 2014-03-04 06:40:02 EST
(In reply to Parag from comment #5)
> I just saw http://dnf.baseurl.org/2014/03/03/dnf-is-on-transifex. Thanks
> Ales!

That's jsilhan who is credited for that.
Comment 7 Fedora Update System 2014-03-05 07:57:35 EST
dnf-0.4.17-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dnf-0.4.17-1.fc20
Comment 8 Fedora Update System 2014-03-07 22:35:40 EST
dnf-0.4.17-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Takayuki Ogawa 2014-03-08 19:49:18 EST
I tried dnf-0.4.17-1.fc20 today but the problem still persist.
DNF seems to read translation data from yum.mo file, so I think we have to update yum package to refrect this fix.
Comment 10 Ales Kozumplik 2014-03-26 09:38:15 EDT
hang on, this is closed now, we ship .mo files in 0.4.19.

Note You need to log in before you can comment on or make changes to this bug.